Package org.apache.tomcat.util

## Interface IntrospectionUtils.PropertySource

All Known Subinterfaces:
  `IntrospectionUtils.SecurePropertySource`

All Known Implementing Classes:
  `Digester.EnvironmentPropertySource`, `EnvironmentPropertySource`, `ServiceBindingPropertySource`, `SystemPropertySource`

Enclosing class:
  IntrospectionUtils

    public static interface IntrospectionUtils.PropertySource

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getProperty​(java.lang.String key)`

### Method Detail

#### getProperty

    java.lang.String getProperty​(java.lang.String key)